Bug 571952 - CCfits, cfitsio version mismatch
Summary: CCfits, cfitsio version mismatch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: CCfits
Version: 12
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Sergio Pascual
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-09 21:29 UTC by heath_r_davis
Modified: 2010-03-30 02:15 UTC (History)
1 user (show)

Fixed In Version: CCfits-2.2-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 02:15:55 UTC
Type: ---


Attachments (Terms of Use)

Description heath_r_davis 2010-03-09 21:29:22 UTC
Description of problem:

CCfits-2.2-1.fc12.x86_64.rpm and CCfits-devel-2.2-1.fc12.x86_64 are linked against cfitsio version 3.14.  After a yum update to cfitsio-3.240-2.fc12.x86_64 and cfitsio-devel-3.240-2.fc12.x86_64, CCfits is mismatched to the new cfitsio library.

Version-Release number of selected component (if applicable):

2.2-1

How reproducible:

Each F12 system tested after a 'yum update' shows the error.

Steps to Reproduce:
1. 'yum update'
2. Call CCfits
  
Actual results:

ERROR: Mismatch in the version of the fitsio.h include file used to build
the CFITSIO library, and the version included by the application program:
   Version used to build the CFITSIO library   = 3.240000
   Version included by the application program = 3.140000

Expected results:

No error.

Additional info:

A workaroud is to rebuild CCfits, using the latest cfitsio:

su -
yum update
yum erase CCfits CCfits-devel
cd ~
rm -Rf rpmbuild
rpmdev-setuptree
cd rpmbuild/SRPMS
#Can't find CCfits in the F12 tree
wget http://mirrors.kernel.org/fedora/updates/11/SRPMS/CCfits-2.2-1.fc11.src.rpm
rpmbuild --rebuild CCfits-2.2-1.fc11.src.rpm
cd ../RPMS/x86_64
rpm -ivh CCfits-2.2-1.fc12.x86_64.rpm CCfits-devel-2.2-1.fc12.x86_64.rpm
#Joy resumes

Comment 1 Fedora Update System 2010-03-09 23:00:44 UTC
CCfits-2.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/CCfits-2.2-2.fc12

Comment 2 Fedora Update System 2010-03-11 07:21:49 UTC
CCfits-2.2-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update CCfits'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/CCfits-2.2-2.fc12

Comment 3 heath_r_davis 2010-03-14 21:56:47 UTC
I have updated with:

yum --enablerepo=updates-testing update "CCfits*"

The version mismatch is fixed in CCfits-2.2-2.fc12.x86_64.  All CCfits interfaces which I use now work just as before.  Thank you for your fast response!

Comment 4 Fedora Update System 2010-03-30 02:15:51 UTC
CCfits-2.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.